Bug 10079 - HomeOrHoldingBranch should not control who can delete when IndependantBranches is enabled
Summary: HomeOrHoldingBranch should not control who can delete when IndependantBranche...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Kyle M Hall
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-19 14:00 UTC by Nicole C. Engard
Modified: 2013-12-05 20:09 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10079 - HomeOrHoldingBranch should not control who can delete when IndependantBranches is enabled (1.43 KB, patch)
2013-04-19 14:25 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10079 - HomeOrHoldingBranch should not control who can delete when IndependantBranches is enabled (1.53 KB, patch)
2013-05-09 15:42 UTC, Owen Leonard
Details | Diff | Splinter Review
[PASSED QA] Bug 10079 - HomeOrHoldingBranch should not control who can delete when IndependantBranches is enabled (1.65 KB, patch)
2013-05-12 16:46 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2013-04-19 14:00:35 UTC
Read the conversation below - the short explanation for this bug is that HomeOrHoldingBranch controls who can delete things, but that shouldn't be the case.


[09:54]  <nengard> "If the HomeOrHoldingBranch (HOHB) is set to 'home' an item cannot be checked out from a different branch, even if it's holding it.  HOHB also controls if the the holding or home library can delete an item when IndependantBranches (IB) is on."
[09:54]  <nengard> but that means if you wnat to allow ILLs within the system
[09:55]  <nengard> you can't check out items at diff branches if it's set to HOME?
[09:55]  <khall> yup
[09:55]  <nengard> but if you set it to holding then the holding branch can delete the item even if its' not theirs
[09:55]  <khall> so you can either have it so other libraries can check out your items AND delete them, or neither
[09:55]  <nengard> that's not good
[09:56]  <khall> nope! File me a bug ; )
[09:56]  <nengard> that needs to be split
[09:56]  <nengard> will do
[09:56]  <khall> Yeah, I think the deleting should be hard coded to home library for IndependantBranches
[09:57]  <khall> the other part makes a bit more sense
[09:57]  <khall> so the bug report should just be "When ID is enabled, don't let ID control which library can delete an item"
[09:57]  <khall> does that make sense?
[09:57]  <nengard> No
[09:58]  <nengard> "When ID is enabled, don't let HOHB control which library can delete an item"
[09:58]  <nengard> right?
[09:58]  <khall> right, just make it home library 
[09:58]  <nengard> right
Comment 1 Kyle M Hall 2013-04-19 14:25:29 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2013-05-09 15:42:48 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2013-05-12 16:46:12 UTC
Created attachment 18098 [details] [review]
[PASSED QA] Bug 10079 - HomeOrHoldingBranch should not control who can delete when IndependantBranches is enabled

Test Plan:
1) Enable IndependantBranches
2) Set HomeOrHoldingBranch to holding branch
3) Delete an item whose holding branch is your logged in branch, and
   whose home branch is not
4) Apply this patch
5) Repeat step 3, it should fail
6) Try to delete another items whose home branch is your logged in
   branch, and whose holding branch is a different branch. This
   deletetion should succeed.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
All tests and QA script pass.
Change is logical, only homebranch should determine if the item
can be deleted.
Comment 4 Jared Camins-Esakov 2013-05-13 01:06:54 UTC
This patch has been pushed to master and 3.12.x.